Bug 475044 - Config file renamed in package, binary cannot find it
Config file renamed in package, binary cannot find it
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: monit (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-06 19:29 EST by Fredrik Rambris
Modified: 2009-07-18 13:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-18 13:52:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updates monitor.h to define MONITRC as "monit.conf" instead of "monitrc" (379 bytes, patch)
2008-12-06 19:29 EST, Fredrik Rambris
no flags Details | Diff

  None (edit)
Description Fredrik Rambris 2008-12-06 19:29:45 EST
Created attachment 326023 [details]
Updates monitor.h to define MONITRC as "monit.conf" instead of "monitrc"

Description of problem:
The RPM package installs the config file (monitrc) into /etc/monit.conf. The monit binary looks for /etc/monitrc. When running monit to control the running instance one has to specify /etc/monit.conf explicitly.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Start monit
2. run  monit status
  
Actual results:


Expected results:


Additional info:
Either let the file be called /etc/monitrc or patch the software on build (patch attached) so that it looks for monit.conf instead of monitrc
Comment 1 Stewart Adam 2008-12-22 22:22:09 EST
Thanks for the patch. I've submitted monit-4.10.1-8 for building which incorporates this patch as well as sets some more reasonable defaults (logging, daemon mode, includes /etc/monit.d) - let me know if the problem's fixed.
Comment 2 Fredrik Rambris 2009-07-18 12:26:06 EDT
Confirmed working. Thank you.

Note You need to log in before you can comment on or make changes to this bug.